It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
avatar
muntdefems: Last updates from MaGog's logs for 9 December:

---------------------------

1979 Revolution: Black Friday has probably changed

>>> Supported languages changed *FROM* Audio and text: English *TO* Audio and text: English. Text only: German, Spanish, Persian, French, Russian, Turkish
Looks like MaGOG needs "Farsi" support :P
Post edited December 12, 2016 by JudasIscariot
avatar
PaterAlf: Language update for The Void:

Changelog for update (added 15 December 2016):

- We have added the Russian version of The Void to everyone's accounts.
avatar
MarkoH01: Since the original russian version afaik is a bit different I wonder if it really is only a language update.
While we were adding the Russian version, we updated the installers with some Galaxy-related tweaks related to importing the game into Galaxy, no more, no less :)
avatar
muntdefems: From MaGog's logs for 20 December:

---------------------------

8-bit Hordes has probably changed

[FILE UPDATES]

* File changed: Windows installer, English --- Size has not changed (1.4 GB) --- Version *FROM* 0.93.629543 (gog-13) *TO* 0.93.629694 (gog-14)

[NO CHANGELOG]

---------------------------

Crypt of the NecroDancer has probably changed

>>> Supported languages changed *FROM* Audio and text: English. Text only: Brazilian-Portuguese, German, Spanish, French, Italian, Japanese, Russian *TO* Audio and text: English. Text only: Brazilian-Portuguese, Chinese, German, Spanish, French, Italian, Japanese, Korean, Russian

[FILE UPDATES]

* File added: Patch 1.27 --- File name: patch_crypt_of_the_necrodancer_2.3.0.4.exe --- File size: 125.2 MB --- Date: Mon 19 Dec 2016 22:43:27 GMT --- Version: 1.24 (gog-3) -> 1.27 (gog-4)

* File changed: Mac OS X installer, English --- File name *FROM* crypt_of_the_necrodancer_2.2.0.3.pkg *TO* crypt_of_the_necrodancer_en_2.3.0.4.pkg --- File size *FROM* 1.6 GB *TO* 1.3 GB --- Date *FROM* Fri 29 Apr 2016 17:23:51 GMT *TO* Mon 19 Dec 2016 22:44:40 GMT --- Version *FROM* 1.24 (gog-3) *TO* 1.27 (gog-4)

* File changed: Windows installer, English --- File name *FROM* setup_crypt_of_the_necrodancer_2.2.0.3.exe *TO* setup_crypt_of_the_necrodancer_2.3.0.4.exe --- File size *FROM* 1.6 GB *TO* 1.3 GB --- Date *FROM* Fri 29 Apr 2016 17:23:32 GMT *TO* Mon 19 Dec 2016 22:44:26 GMT --- Version *FROM* 1.24 (gog-3) *TO* 1.27 (gog-4)

[CHANGELOG UPDATED]

Patch 1.27 (19 December 2016)

- Our latest update v1.27 has added 3 new localizations to the game: Korean, Simplified Chinese, and Traditional Chinese.

- This update also includes 2 bugfixes:
- Fix banshee deafen effect not ending in 3-4 trap door room
- Fix banshee deafen effect not ending with custom music
avatar
muntdefems: (Full changelog)

---------------------------

Darksiders Warmastered Edition has probably changed

>>> Supported languages changed *FROM* Audio and text: German, English, Spanish, Latin-American-Spanish, French, Italian, Japanese. Text only: Brazilian-Portuguese, Czech, Korean, Polish, Russian *TO* Audio and text: German, English, Spanish, Latin-American-Spanish, French, Italian, Japanese, Russian. Text only: Brazilian-Portuguese, Czech, Korean, Polish

---------------------------

Master of Orion has probably changed

[CHANGELOG UPDATED]

Patch 54.8 2.1.35621 (19 December 2016)

- Fix for being able to engage multiple Antarans fleets in one battle when travelling to their dimension using a civilian ship
- Fix for Antarans bringing more ships than expected to battles
- Fix for russian DLC voice actors listed as English Voice Talent and DLC voice actors not being mentioned in the game credits
- Fix for the wrong race appearing on an espionage pop-up
- Fix for Advanced Jump Gate technology still appearing to be built
- Fix for empty notifications appearing ingame
- Fix for the game not being able galaxy to generate a valid galaxy under certain settings (i.e small and young with 5 opponents)
- Fix for the mind control icon appearing empty in Colony screen
- Fix for the Mind control icon missing on traits pop-up
- Fix for Telepathic perk description in the custom race screen
- Fix for a hardlock on battle result screen that showed the take command and auto-result buttons instead of the results
- Fix for leaders showing up on every turn under certain match setting conditions
- Fix for leaders of custom races not appearing in custom race matches
- Fix for column sorting symbol overlapping column titles on Leaders screen
- Fix for information about leaders’ bonuses on credits, research and command points not appearing in tooltips
- Fix for the Main Menu missing in certain Linux configurations
- Fix for Prisoner exchange tooltip repeating
- Fix for subtitles synchronization with voiceovers
- Fix for "Protectorate" appearing in notifications about colonizing a minor civilization
- Fix for cost appearing even when investment into a minor civ was maxed
- Fix for 'Independent planet discovered' message triggering every turn as a ship moves within the system
- Fix for Minor civilization screen not refreshing when clicking Invest
- Fix for minor civilization being mind controlled
- Fix for invaded colonies not being taken into account by the minor civilizations for the dominant influence calculation
- Fix for the Invest button not refreshing on the same turn
- Fix for the empire name not being fully displayed on diplomatic icon
- Fix for incomplete investment tooltip
- Fix for a softlock when closing Espionage tab with LMB and RMB pressed simultaneously in Tutorial
- Fix for the game not running in certain Linux configurations after previous updates
- Fix for leaders popping up on every turn if match speed is changed
- Fix for troops transports not disappearing after attack on or destroying a planet
- Fix for the Elerian empress freezing during the economic victory cinematic
- Fix for a softlock when pressing LMB and RMB to open a diplomatic negotiation
- Fix for Advance Tactics giving both technologies no matter what was chosen
avatar
muntdefems: (Full changelog)

---------------------------

Political Animals has probably changed

>>> Supported languages changed *FROM* Text only: German, English, Spanish, French, Italian *TO* Text only: Chinese, German, English, Spanish, French, Italian

[FILE UPDATES]

* File changed: Mac OS X installer, English --- File size *FROM* 175.0 MB *TO* 194.0 MB --- Version *FROM* 0059 NS (gog-3) *TO* 0074 NS (gog-4)

* File changed: Windows installer, English --- File size *FROM* 120.0 MB *TO* 132.0 MB --- Version *FROM* 0059 NS (gog-5) *TO* 0075 NS (gog-6)

[CHANGELOG UPDATED]

Patch 0074 NS (19 December 2016)

- added Simplified Chinese language support
avatar
muntdefems: (Full changelog)

---------------------------

Hmmm... Political Animals has been available for Linux on Steam and DRM-free on the Humble Store for some days now. Having this game been updated but still lacking a Linux build, I guess that makes it worthy of this GOGmix. :\
The Linux build has some technical issues atm so as soon as those are solved, we'll get it out to everyone.
avatar
JudasIscariot: The Linux build has some technical issues atm so as soon as those are solved, we'll get it out to everyone.
avatar
muntdefems: Excellent news, thanks! (Though I hope these technical issues are easier to fix than those of the Metro games... :S)

PS: Now that we're at it, what about Block'hood? :)
Waiting on the build :)
avatar
muntdefems: Crypt of the NecroDancer has probably changed
avatar
ElTerprise: Huh....so the Linux version of Crypt of the Necrodancer wasn't updated?
Will be updated shortly as soon as it's gone through QA, we got it a little later than the others :)
Post edited December 22, 2016 by JudasIscariot
avatar
JudasIscariot: The Linux build has some technical issues atm so as soon as those are solved, we'll get it out to everyone.
avatar
Gydion: Delete, backspace, cut. Pick one s'il vous plaît.
Cut what?
avatar
JudasIscariot: Cut what?
avatar
Gydion: The huge update quote containing multiple games which also made what you said not entirely clear. The following post did clarify that. E.G. the additional info without massive quoting would be ideal, but the additional info is always appreciated.
Should be clearer now :P
avatar
HypersomniacLive: @Judas - the forum link for the Stronghold Series on the respective game pages redirects to the General discussion forum front page. Could you look into it, and fix it, please? Thanks.
We managed to kick him out on holiday till February. Don't summon him back T_T
I'll pass the info to Product minions.
avatar
kbnrylaec: I have downloaded and checked this. The gog-8 file is 100% the same with the good old setup_syberia2_2.0.0.8.exe.
(I know I know, I just want to make 100% sure about this "change".)
avatar
muntdefems: Yep, this is a frequent occurrence: whenever an old game is updated, GOG usually fills in empty version fields. Indeed, the version field is the only one that's changed: neither file name, nor size, nor date have been modified.

I don't usually report these changes, and as a matter of fact I realized I forgot to remove that one but I thought "Meh, nobody's gonna notice it". Guess I was wrong... :P
For both Syberias there is a changelog but I am not sure why that isn't reflected in the recent update posts unless I missed them due to the flood of information :P
avatar
JudasIscariot: For both Syberias there is a changelog but I am not sure why that isn't reflected in the recent update posts unless I missed them due to the flood of information :P
avatar
muntdefems: Nope, there were no changelogs for the Syberias in my posts because MaGog hasn't detected them yet (1 & 2). She probably will in her next refresh (at ~8 PM UTC).

Now that you're here, could you please take a look (if you haven't already) at this possible link bug mentioned by DukeNukemForever here?
Refresh and all should be well :)
avatar
MarkoH01: That is correct. The update to version 2.1.0.15 can also be found in the Galaxy logs (in case the game was installed then). It seems as if this simply was a Galaxy only update and therefore the backup files weren't touched. See attachement:
avatar
POLE7645: I know there hasn't been any comment on it, but is there any indication as to what this update actually does? If it's a Galaxy exclusive, is it about it's implementation with Galaxy (I guess there would be some modification to do since it's a 2007 game)? If so, what does it change?
There was a safe mode shortcut missing for the Galaxy version for The Witcher Enhanced Edition. That was the only change for The Witcher Enhanced Edition :)
avatar
JudasIscariot: There was a safe mode shortcut missing for the Galaxy version for The Witcher Enhanced Edition. That was the only change for The Witcher Enhanced Edition :)
avatar
MarkoH01: Wow! A shortcut was missing - this was a mystery really not worth solving it ;) But thank you for doing it anyway.
But while you are on it: adaliabooks noticed that there were other updates the same day

"Civilisation 3
Crusader Kings
Silver
Zeus + Poseidon
Pharoah
All on the same day and with no changelogs... very odd."

Also missing shortcuts?
If there weren't any offline installer updates done, then it was probably just some minor Galaxy-related updates :)
avatar
muntdefems: UnderRail has probably changed

[CHANGELOG UPDATED]
avatar
kbnrylaec: Another changelog-only update, so nice GOG!
We have encountered this kind of problem just several weeks ago, so I have submitted a support ticket to GOG.
The new support system forced me to upload a DxDiag file, or I will never be able to press the SUBMIT button. :-(
Don't select "technical issue" and you won't be asked for a DxDiag :) The "technical issue" is for when you have a problem with a game, such as crashes and the like not missing or corrupted installers :)
Post edited February 07, 2017 by JudasIscariot
avatar
HypersomniacLive: IL-2 Sturmovik™: 1946 got updated:
avatar
eiii: The update has a full installer with version 2.7.0.15 and a patch with version 2.7.0.16:

setup_il-2_sturmovik_1946_2.7.0.15.exe
patch_il-2_sturmovik_1946_2.7.0.16.exe

Is the patch just misnamed or is it intended to update the installer version to a newer game version?

Or to ask more clearly: To install the most current version of the game is it sufficient to run the setup only or is it required to run the setup and the patch afterwards?
All you need is the installer if you plan on installing the game from scratch. I'll ask our techs about the version number but I don't think it's anything other than a case of "oops, this version had an issue and we had to update the patch installer" :)